From d0dd5c957876300c33db303042dfa4888b1696f4 Mon Sep 17 00:00:00 2001
From: Matus Valo <matusvalo@gmail.com>
Date: Sun, 2 Jul 2023 23:12:51 +0200
Subject: [PATCH 1/2] Add cython_optimize.pxd to _cython_tree

---
 scipy/optimize/meson.build | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/scipy/optimize/meson.build b/scipy/optimize/meson.build
index 26458b05cd7..7c6097acf55 100644
--- a/scipy/optimize/meson.build
+++ b/scipy/optimize/meson.build
@@ -206,6 +206,10 @@ endif
 
 _dummy_init_optimize = fs.copyfile('__init__.py')
 
+_cython_tree = [
+  fs.copyfile('cython_optimize.pxd'),
+]
+
 opt_gen = generator(cython,
   arguments : cython_args,
   output : '@BASENAME@.c',

From b8621185fa61d6b3610e2cb62eae3b81434952c9 Mon Sep 17 00:00:00 2001
From: Matus Valo <matusvalo@gmail.com>
Date: Sun, 2 Jul 2023 23:28:41 +0200
Subject: [PATCH 2/2] Use absolute import in cython_optimize.pxd

---
 scipy/optimize/cython_optimize.pxd | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scipy/optimize/cython_optimize.pxd b/scipy/optimize/cython_optimize.pxd
index d5a0bdd758e..d35f8da68b3 100644
--- a/scipy/optimize/cython_optimize.pxd
+++ b/scipy/optimize/cython_optimize.pxd
@@ -7,5 +7,5 @@
 # support. Changing it causes an ABI forward-compatibility break
 # (gh-11793), so we currently leave it as is (no further cimport
 # statements should be used in this file).
-from .cython_optimize._zeros cimport (
+from scipy.optimize.cython_optimize._zeros cimport (
     brentq, brenth, ridder, bisect, zeros_full_output)
